Package org.jboss.resteasy.core

## Class MapFormInjector

- java.lang.Object
- - org.jboss.resteasy.core.FormInjector
  - - org.jboss.resteasy.core.PrefixedFormInjector
    - - org.jboss.resteasy.core.AbstractCollectionFormInjector<Map>
      - - org.jboss.resteasy.core.MapFormInjector

- All Implemented Interfaces:
    `ValueInjector`

      public class MapFormInjector
      extends AbstractCollectionFormInjector<Map>

  Can inject maps.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapFormInjector​(Class collectionType, Class keyType, Class valueType, String prefix, ResteasyProviderFactory factory)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addTo​(Map collection, String key, Object value)` | Adds the item to the collection.
    `protected Map` | `createInstance​(Class collectionType)` | Creates an instance of the collection type.

    - ### Methods inherited from class org.jboss.resteasy.core.AbstractCollectionFormInjector

      `inject`

    - ### Methods inherited from class org.jboss.resteasy.core.PrefixedFormInjector

      `doInject, hasValue`

    - ### Methods inherited from class org.jboss.resteasy.core.FormInjector

      `inject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapFormInjector

          public MapFormInjector​(Class collectionType,
                                 Class keyType,
                                 Class valueType,
                                 String prefix,
                                 ResteasyProviderFactory factory)

      Constructor.
      Parameters:
        `collectionType` - collection type
        `keyType` - key type
        `valueType` - value type
        `prefix` - prefix
        `factory` - provider factory

  - ### Method Detail

    - #### createInstance

          protected Map createInstance​(Class collectionType)

      Creates an instance of the collection type.
      Specified by:
        `createInstance` in class `AbstractCollectionFormInjector<Map>`
      Parameters:
        `collectionType` - collection type
      Returns:
        object instance of type T

    - #### addTo

          protected void addTo​(Map collection,
                               String key,
                               Object value)

      Adds the item to the collection.
      Specified by:
        `addTo` in class `AbstractCollectionFormInjector<Map>`
      Parameters:
        `collection` - collection
        `key` - key
        `value` - value